/// <reference path="./jimu.d.ts" />
/// <reference path="./arcgis-js-api.d.ts" />
define(["require", "exports", "./SOEClient"], function (require, exports, SOEClient) {
    var WidgetHelper = (function () {
        function WidgetHelper() {
            this.baseClass = "jimu-widget-electrictracewidget";
        }
        WidgetHelper.prototype.createWidgetProps = function () {
            var _this = this;
            var props = {};
            props["baseClass"] = this.baseClass;
            props["intWidgetHelper"] = this;
            // In the startup function context, "this" is the actual widget
            props["startup"] = function () { this.intWidgetHelper.initialize(this); };
            // The remaining functions use lambda expressions so that "this" is the WidgetHelper instance
            props["_onProcessIdClick"] = function () { _this.getProcessId(); };
            props["_onTraceClick"] = function () { _this.activateTool(); };
            props["_onClearClick"] = function () { _this.clearResults(); };
            return props;
        };
        WidgetHelper.prototype.initialize = function (widget) {
            // Set up SOEClient
            this._bw = widget;
            this._map = this._bw.map;
            this._spStatus = widget.spStatus;
            this._client = new SOEClient();
            this._client.startClient(this._map, this._spStatus);
            // Populate button images
            var IDList = [
                "btnQuery",
                "btnTraceOut",
                "btnClear"
            ];
            for (var i in IDList) {
                var sID = IDList[i];
                var sPath = this._bw.folderUrl + "images/" + sID + ".png";
                var img = document.getElementById(sID);
                img.setAttribute("src", sPath);
                var btn;
            }
        };
        WidgetHelper.prototype.getProcessId = function () {
            this._client.getProcessId();
        };
        WidgetHelper.prototype.activateTool = function () {
            this._client.activateTool();
        };
        WidgetHelper.prototype.clearResults = function () {
            this._client.clearResults();
        };
        return WidgetHelper;
    })();
    return WidgetHelper;
});
//# sourceMappingURL=WidgetHelper.js.map